Skip to content

Quick deal name suggestions

GET
/api/search/deals/suggest
curl --request GET \
--url 'https://example.com/api/search/deals/suggest?q=&limit=5' \
--header 'Authorization: Bearer <token>'

Lightweight metadata-only search for search-as-you-type UX.

q
Q

Search text

string
"" <= 200 characters

Search text

limit
Limit
integer
default: 5 >= 1 <= 10

Successful Response

Media type application/json
DealSuggestResponse

Suggest response.

object
suggestions
required
Suggestions
Array<object>
DealSearchHitResponse

A single search result.

object
deal_id
required
Deal Id
string
deal_name
required
Deal Name
string
deal_type
Any of:
string
asset_type
Any of:
string
sponsor_name
Any of:
string
status
Any of:
string
shared
Shared
boolean
match_context
Any of:
string
match_section
Any of:
string
relevance_score
Any of:
number
Example
{
"suggestions": [
{
"shared": false
}
]
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}